package containers

// ContainerStats contains fields returned in docker stats function stream
type ContainerStats struct {
    Pids struct {
        Current int `json:"current"`
    } `json:"pids_stats"`
    CPU struct {
        Usage struct {
            Total int64 `json:"total_usage"`
        } `json:"cpu_usage"`
    } `json:"cpu_stats"`
    Memory struct {
        Usage    int `json:"usage"`
        MaxUsage int `json:"max_usage"`
        Limit    int `json:"limit"`
    } `json:"memory_stats"`
    ID string `json:"id"`
}
