package glue

import "github.com/rosti-cz/node-api/apps"

// Path where authorized keys are
const sshPubKeysLocation = "/srv/.ssh/authorized_keys"

// SnapshotMetadata is snapshot structure encapsulation that combines key and metadata about the snapshot
type SnapshotMetadata struct {
	Key      string        `json:"key"`
	Metadata apps.Snapshot `json:"metadata"`
}

// SnapshotsMetadata is returned by handlers
type SnapshotsMetadata []SnapshotMetadata
